<!DOCTYPE html>
<html lang="fr" class="notranslate">

<head>
  <meta charset="UTF-8" />
  <link rel="icon" href="/favicon.ico" />
  <meta http-equiv="Content-Language" content="fr" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>gemaths.net - Objectifs maths Genève !</title>
</head>

<body class="flex-col h-full w-full font-sans">
  <div id="appMathalea">
    <div id="loading" class="hidden">
      <!-- <div class="loader">
        <svg class="circular-loader" viewBox="25 25 50 50">
          <circle class="loader-path" cx="50" cy="50" r="20" fill="none" stroke="#70c542" stroke-width="2" />
        </svg>
      </div> -->
      <section class="cube-container">
        <div id="cube">
          <div class="face one">
            <img src="./assets/svg/face_coop.svg" class="w-full h-full" alt="face coop"/>
          </div>
          <div class="face two">
            <img src="./assets/svg/face_math.svg" class="w-full h-full" alt="face math"/>
          </div>
          <div class="face three">
            <img src="./assets/svg/face_coop.svg" class="w-full h-full" alt="face coop"/>
          </div>
          <div class="face four">
            <img src="./assets/svg/face_math.svg" class="w-full h-full" alt="face math"/>
          </div>
          <div class="face five">
            <img src="./assets/svg/face_alea.svg" class="w-full h-full" alt="face alea"/>
          </div>
          <div class="face six">
            <img src="./assets/svg/face_alea.svg" class="w-full h-full" alt="face alea"/>
          </div>
        </div>
      </section>
    </div>
    
  </div>
  <script type="module" src="/src/main"></script>
</body>

<style>
  #loading {
    left: 50% !important;
    margin-left: -100px;
    position: fixed !important;
    top: 50% !important;
    margin-top: -100px;
    width: 45px;
    z-index: 9000 !important;
  }

  h1 {
  font-family: Arial, Helvetica, sans-serif;
  text-align: center;
}

/* Dé en 3D animé
Inspiré de : https://codepen.io/SteveJRobertson/pen/zxEwrK
et https://jsfiddle.net/nph3k39p/1/
*/
:root {
  --vect: calc((100vw / 10) * 0.57);
}
.cube-container {
  width: 100px;
  height: 100px;
  position: relative;
  margin: 0 auto 40px;
  border: 1px solid #FFF;
  
  perspective: 1000px;
  /* perspective-origin: 50% 100%; */
}

#cube {
  position: relative;
  margin: 100px auto;
  height: calc(100vw / 10);
  width: calc(100vw / 10);
  animation: 4s rotateforever infinite linear;
  transform-style: preserve-3d;
}

.face {
  position: absolute;
  background: hsla(14, 80%, 55%, 0.8);
  height: calc(100vw / 10);
  width: calc(100vw / 10);
  padding: 10px;
  border: white 5px solid;
  /* border-radius: 2rem; */
}

.one {
    transform: rotateX(-54.7356deg) rotateY(45deg) translateZ(var(--vect));
}

.two {
    transform: rotateX(-54.7356deg) rotateY(135deg) translateZ(var(--vect));
}

.three {
    transform: rotateX(-54.7356deg) rotateY(225deg) translateZ(var(--vect));
}

.four {
    transform: rotateX(-54.7356deg) rotateY(315deg) translateZ(var(--vect));
}

.five {
    transform: rotateX(35.2644deg) rotateZ(-45deg) translateZ(var(--vect));
}

.six {
    transform: rotateX(35.2644deg) rotateY(180deg) rotateZ(-45deg) translateZ(var(--vect));
}

@keyframes rotateforever {
  to {
    transform: rotateY(360deg);
  }
}
  /* #cube .front {
  transform: rotateX(-54.7356deg) rotateY(45deg) translateZ(100px);
}

#cube .back {
  transform: rotateX(-54.7356deg) rotateY(225deg) translateZ(100px);
}

#cube .right {
  transform: rotateX(-54.7356deg) rotateY(135deg) translateZ(100px);
}

#cube .left {
  transform: rotateX(-54.7356deg) rotateY(315deg) translateZ(100px);
}

#cube .top {
  transform: rotateX(35.2644deg) rotateZ(-45deg) translateZ(100px);
}

#cube .bottom {
  transform: rotateX(35.2644deg) rotateY(180deg) rotateZ(-45deg) translateZ(100px);
}

.cube-container {
  width: 100px;
  height: 100px;
  position: relative;
  margin: 0 auto 40px;
  border: 1px solid #FFF;
  
  perspective: 1000px;
  perspective-origin: 50% 100%;
}

@keyframes rotation {
  to {
    transform: rotateY(360deg);
  }
}

#cube {
  width: 100%;
  height: 100%;
  top: 0px;
  position: absolute;
  background-color: aquamarine;
  
  transform-style: preserve-3d;
  animation: rotation 5s infinite linear;
}

#cube div {
  background: hsla(14, 80%, 55%, 0.8);
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  border: 2px solid #fff;
  border-radius: 2rem;
  
  margin: 0 auto;  
  
  font-family: Arial, Helvetica, sans-serif;
  font-size: 500%;
  text-align: center;
  padding: 10% 0;
}

.dot {
  display: block;
  position: absolute;
  width: 30px;
  height: 30px;
  background: #fff;
  border-radius: 15px;  
}

.front .dot1 { top: 85px; left: 85px; }
.bottom .dot1 { top: 45px; left: 45px; }
.bottom .dot2 { top: 125px; left: 125px; }
.right .dot1 { top: 45px; left: 45px; }
.right .dot2 { top: 85px; left: 85px; }
.right .dot3 { top: 125px; left: 125px; }
.left .dot1 { top: 45px; left: 45px; }
.left .dot2 { top: 45px; left: 125px; }
.left .dot3 { top: 125px; left: 45px; }
.left .dot4 { top: 125px; left: 125px; }
.top .dot1 { top: 45px; left: 45px; }
.top .dot2 { top: 45px; left: 125px; }
.top .dot3 { top: 85px; left: 85px; }
.top .dot4 { top: 125px; left: 45px; }
.top .dot5 { top: 125px; left: 125px; }
.back .dot1 { top: 45px; left: 45px; }
.back .dot2 { top: 45px; left: 85px; }
.back .dot3 { top: 45px; left: 125px; }
.back .dot4 { top: 125px; left: 45px; }
.back .dot5 { top: 125px; left: 85px; }
.back .dot6 { top: 125px; left: 125px; } */
</style>

</html>